BasicLinkArea (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.area.inline

## Class BasicLinkArea

- java.lang.Object
- - org.apache.fop.area.AreaTreeObject
  - - org.apache.fop.area.Area
    - - org.apache.fop.area.inline.InlineArea
      - - org.apache.fop.area.inline.InlineParent
        - - org.apache.fop.area.inline.BasicLinkArea

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable

      public class BasicLinkArea
      extends InlineParent

  An inline area produced by an fo:basic-link element. This class implements a different behavior to what is prescribed by the XSL-FO 1.1 Recommendation. With the standard behavior, there is no easy way to make a link cover e.g. a whole image.

  See following bug report at W3C's: http://www.w3.org/Bugs/Public/show_bug.cgi?id=11672

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.fop.area.inline.InlineArea

      `InlineArea.InlineAdjustingInfo`

  - ### Field Summary

    - ### Fields inherited from class org.apache.fop.area.inline.InlineParent

      `autoSize, inlines, minChildOffset`

    - ### Fields inherited from class org.apache.fop.area.inline.InlineArea

      `adjustingInfo, blockProgressionOffset`

    - ### Fields inherited from class org.apache.fop.area.Area

      `bidiLevel, bpd, CLASS_ABSOLUTE, CLASS_BEFORE_FLOAT, CLASS_FIXED, CLASS_FOOTNOTE, CLASS_MAX, CLASS_NORMAL, CLASS_SIDE_FLOAT, effectiveIPD, ipd, log, ORIENT_0, ORIENT_180, ORIENT_270, ORIENT_90, traits`

    - ### Fields inherited from class org.apache.fop.area.AreaTreeObject

      `extensionAttachments, foreignAttributes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicLinkArea()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LinkResolver` | `getResolver()` Obtain back-pointer to link resolver.
    `void` | `setParentArea(Area parentArea)`
    `void` | `setResolver(LinkResolver resolver)` Establish (or remove) back-pointer to link resolver.

    - ### Methods inherited from class org.apache.fop.area.inline.InlineParent

      `addChildArea, applyVariationFactor, collectInlineRuns, getChildAreas, resetChildrenLevel`

    - ### Methods inherited from class org.apache.fop.area.inline.InlineArea

      `getAdjustingInfo, getBlockProgressionOffset, getParentArea, handleIPDVariation, hasLineThrough, hasOverline, hasUnderline, increaseIPD, isAncestor, isAncestorOrSelf, isBlinking, notifyIPDVariation, setAdjustingInfo, setAdjustingInfo, setAdjustment, setBlockProgressionOffset`

    - ### Methods inherited from class org.apache.fop.area.Area

      `activateEffectiveIPD, addTrait, clone, getAllocBPD, getAllocIPD, getAreaClass, getBidiLevel, getBorderAndPaddingWidthAfter, getBorderAndPaddingWidthBefore, getBorderAndPaddingWidthEnd, getBorderAndPaddingWidthStart, getBPD, getChangeBarList, getEffectiveAllocIPD, getEffectiveIPD, getIPD, getSpaceAfter, getSpaceBefore, getSpaceEnd, getSpaceStart, getTrait, getTraitAsBoolean, getTraitAsInteger, getTraits, hasTrait, hasTraits, resetBidiLevel, setAreaClass, setBidiLevel, setBPD, setChangeBarList, setIPD, setTraits, setWritingModeTraits, toString`

    - ### Methods inherited from class org.apache.fop.area.AreaTreeObject

      `addExtensionAttachment, getExtensionAttachments, getForeignAttributes, getForeignAttributeValue, hasExtensionAttachments, setExtensionAttachments, setForeignAttribute, setForeignAttributes`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicLinkArea

          public BasicLinkArea()

  - ### Method Detail

    - #### setParentArea

          public void setParentArea(Area parentArea)

      Overrides:
        `setParentArea` in class `InlineArea`
      Parameters:
        `parentArea` - The parentArea to set.

    - #### setResolver

          public void setResolver(LinkResolver resolver)

      Establish (or remove) back-pointer to link resolver.
      Parameters:
        `resolver` - the link resolver that will resolve this basic link or null

    - #### getResolver

          public LinkResolver getResolver()

      Obtain back-pointer to link resolver.
      Returns:
        resolver the link resolver that will resolve this basic link or null

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.